%{?nodejs_find_provides_and_requires}

%global packagename read-remove-file
%global enable_tests 1

Name:		nodejs-read-remove-file
Version:	3.0.0
Release:	1%{?dist}
Summary:	Read a file, then remove it

License:	MIT
URL:		https://github.com/shinnn/node-read-remove-file.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/shinnn/node-read-remove-file/v3.0.0/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(is-dir)
BuildRequires:	npm(tape)
%endif

%description
Read a file, then remove it


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
# insert test suite here
%{__nodejs} --strong_mode test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Sat Feb 20 2016 Jared Smith <jsmith@fedoraproject.org> - 3.0.0-1
- Initial packaging
